import { BedrockModel } from './bedrock-model';

export type DeepSeekContent = {
    text?: string;
};

export type DeepSeekMessage = {
    role?: 'user' | 'assistant';
    content: DeepSeekContent[];
};

export type DeepSeekResponseContent = {
    text?: string;
};

export type DeepSeekResponse = {
    usage: {
        inputTokens: number;
        outputTokens: number;
    };
    content: DeepSeekResponseContent[];
};

export class DeepSeekApi {
    constructor(
        accessKeyId: string,
        secretAccessKey: string,
        region: string,
        model: BedrockModel,
    );

    public invoke(
        messages: DeepSeekMessage[],
        temperature?: number,
        maxTokens?: number,
        topP?: number,
        systemPrompt?: string,
    ): Promise<DeepSeekResponse>;
}
